@import "libs/shared/assets/src/global-style/variable";
@import 'libs/shared/assets/src/global-style/color';
.select {
  width: 100%;
  margin-top: 0.3rem;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 8px;
      min-height: 44px;
      display: flex;
      align-items: center;
      .ant-select-selection-search {
        input{
          height: 44px !important
        }
      }
    }
  }
}


.m-t-sm {
  margin-top: 0.3rem;
}

.footer {
  text-align: end;
  margin-top: 20px;
  button {
    padding-right: 5px;
  }
}

.form-group__icon {
  position: relative;
  a {
    background: $white-color;
    text-align: center;
    width: 30px;
    font-size: 20px;
    right: 6px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    img {
      filter: opacity(0.5);
    }
  }
  ::ng-deep {
    .ant-input {
      margin-top: 0.3rem;
      border-radius: 8px;
      min-height: 44px;
    }
  }
}
.ant-row {
  margin-bottom: 10px;
}

.item-api {
  margin-bottom: 10px;
}

.show-error {
  font-size: 12px;
  margin-top: 8px;
  em {
    margin-right: 8px;
    color: $bg-error-red;
  }
  span {
    font-family: avertaL, sans-serif;
    color: $bg-error-red;
  }
}

.label__required {
  color: $bg-error-red;
}

.error {
  ::ng-deep {
    .input.ant-input-affix-wrapper {
      border-color: $bg-error-red !important;
    }
  }
}

.input__label {
  color: $bg-gray-label!important;
  font-size: 14px;
  font-family: avertaB, sans-serif;
  padding-bottom: 0.3rem;
}

.pc-select {
  margin: 0;
  width: 100%;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 8px;
      min-height: 44px;
      display: flex;
      align-items: center;
      &:hover, &:focus {
        border: 1px solid $primary-button-color;
      }
    }
  }
}

::ng-deep {
  .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector  {
    border: 1px solid $primary-button-color;
  }
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .pc-form-tr-for-class:hover > td {
    background: $hover-table-row;
  }
}
